diff mbox

Only return early on error following configure

Message ID 1380922048-2464-1-git-send-email-ryan.arnold@linaro.org
State New
Headers show

Commit Message

Ryan S. Arnold Oct. 4, 2013, 9:27 p.m. UTC
From: "Ryan S. Arnold" <ryan.arnold@linaro.org>

In lib/configure.sh control was returning unconditionally after configure
was executed which prevents stamp-configure-* generation.
---
 lib/configure.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

Comments

Rob Savoye Oct. 5, 2013, 4:03 p.m. UTC | #1
On 10/04/2013 03:27 PM, Ryan S. Arnold wrote:
> In lib/configure.sh control was returning unconditionally after configure
> was executed which prevents stamp-configure-* generation.
  Good catch! Applied.

    - rob -
diff mbox

Patch

diff --git a/lib/configure.sh b/lib/configure.sh
index 4857818..0e72cf6 100755
--- a/lib/configure.sh
+++ b/lib/configure.sh
@@ -180,7 +180,10 @@  configure_build()
 	    export CONFIG_SHELL=${bash_shell}
 	fi
 	dryrun "(cd ${builddir} && ${CONFIG_SHELL} ${srcdir}/configure ${default_configure_flags} ${opts})"
-	return $?
+	if test $? -gt 0; then
+	    error "Configure of $1 failed."
+	    return $?
+	fi
 
 	# unset this to avoid problems later
 	default_configure_flags=